module led_case
(
	input clk,
	output[3:0] out
);
	reg[3:0] leds = 4'b0;
	reg[21:0] count = 22'b0;
	reg[1:0] select = 2'b0;

	always @ (posedge clk)
	begin
	
		count <= count + 1'b1;
			
		if (count == 22'b11_1111_1111_1111_1111_1111)
		begin
			select <= select + 1'b1;
		end 
		
	end
	
	always @ (posedge clk)
	begin
	
		case(select)
			2'b00: leds <= 4'b0001;		
			2'b01: leds <= 4'b0010;				
			2'b10: leds <= 4'b0100;
			2'b11: leds <= 4'b1000;	
	
			default: leds <= 4'b0000; 	

		endcase	
		
	end
	
	assign out = leds;
	
endmodule